"use strict";

(function(window, undefined) {

  if(window.iw === undefined) window.iw = {};
   
  iw.index = new Vue({
    el: '#index',
    data : {
      info : {},
      
      config : {}
    },
    methods : {
      getInfo : function() {
        iw.invoke("iw.test.admin:info", {}, function(data) {
          iw.index.info = data;          
        });
      },
    
      getConfig : function() {
        iw.invoke("iw.test.config:get", {}, function(data) {
          iw.index.config = data;          
        });        
      },      
    }
   });
   
   iw.index.getInfo();   
   iw.index.getConfig();
   
})(this, undefined);